﻿using Syncfusion.UI.Xaml.Controls.Layout;
using System;
using System.Collections.Generic;
//using System.Drawing;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Shapes;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfAccordionWinrtSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {

        public MainPage()
        {
            this.InitializeComponent();
        }

        public static T FindChildControl<T>(DependencyObject parent, string childName)
   where T : DependencyObject
        {
            // Confirm parent and childName are valid. 
            if (parent == null) return null;

            T foundChild = null;

            int childrenCount = VisualTreeHelper.GetChildrenCount(parent);
            for (int i = 0; i < childrenCount; i++)
            {
                var child = VisualTreeHelper.GetChild(parent, i);
                // If the child is not of the request child type child
                T childType = child as T;
                if (childType == null)
                {
                    // recursively drill down the tree
                    foundChild = FindChildControl<T>(child, childName);

                    // If the child is found, break so we do not overwrite the found child. 
                    if (foundChild != null) break;
                }
                else if (!string.IsNullOrEmpty(childName))
                {
                    var frameworkElement = child as FrameworkElement;
                    // If the child's name is set for search
                    if (frameworkElement != null && frameworkElement.Name == childName)
                    {
                        // if the child's name is of the request name
                        foundChild = (T)child;
                        break;
                    }
                }
                else
                {
                    // child element found.
                    foundChild = (T)child;
                    break;
                }
            }

            return foundChild;
        }


        private void accordion_SelectedItemsChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            var accord = sender as SfAccordion;
            foreach (SfAccordionItem data in accord.Items)
            {
                var x = FindChildControl<Rectangle>(data, "AcItemRectangle") as Rectangle;
                x.Visibility = Visibility.Visible;
                var x2 = FindChildControl<Polygon>(data, "AcItemTriangle") as Polygon;
                x2.Visibility = Visibility.Collapsed;
            }
            foreach (SfAccordionItem data in accord.Items)
            {
                if (data.IsSelected)
                {
                    var x = FindChildControl<Rectangle>(data, "AcItemRectangle") as Rectangle;
                    x.Visibility = Visibility.Collapsed;
                    var x2 = FindChildControl<Polygon>(data, "AcItemTriangle") as Polygon;
                    x2.Visibility = Visibility.Visible;
                }
            }
        }
    }
}